Subject: Re: [PATCHv2 net] bonding: use permanent address for MAC swapping if device address is same

From: Hangbin Liu <[email-masked]>
Date: Mon, 21 Apr 2025 04:24:04 +0000

Hi Jay,

On Thu, Apr 17, 2025 at 09:16:33PM -0700, Jay Vosburgh wrote:
> 	Wouldn't it be equally effective to, when the conflicting
> interface is added, give it a random MAC to avoid the conflict?  That
> random MAC shouldn't end up as the bond's MAC, so it would exist only as
> a placeholder of sorts.
> 
> 	I'm unsure if there are many (any?) devices in common use today
> that actually have issues with multiple ports using the same MAC, so I
> don't think we need an overly complicated solution.

I'm not familiar with infiniband devices. Can we use eth_random_addr()
to set random addr for infiniband devices? And what about other device
type? Just return error directly?

Thanks
Hangbin